Package org.springframework.web.servlet.function

# Interface RequestPredicates.Visitor

Enclosing class:
  RequestPredicates

public static interface RequestPredicates.Visitor
Receives notifications from the logical structure of request predicates.

## Method Summary

Modifier and Type
Method
Description
`void`
`and()`
Receive "middle" notification of a logical AND predicate.
`void`
`endAnd()`
Receive last notification of a logical AND predicate.
`void`
`endNegate()`
Receive last notification of a negated predicate.
`void`
`endOr()`
Receive last notification of a logical OR predicate.
`void`
`header(String name, String value)`
Receive notification of an HTTP header predicate.
`void`
`method(Set<org.springframework.http.HttpMethod> methods)`
Receive notification of an HTTP method predicate.
`void`
`or()`
Receive "middle" notification of a logical OR predicate.
`void`
`param(String name, String value)`
Receive notification of a parameter predicate.
`void`
`path(String pattern)`
Receive notification of a path predicate.
`void`
`pathExtension(String extension)`
Receive notification of a path extension predicate.
`void`
`startAnd()`
Receive first notification of a logical AND predicate.
`void`
`startNegate()`
Receive first notification of a negated predicate.
`void`
`startOr()`
Receive first notification of a logical OR predicate.
`void`
`unknown(RequestPredicate predicate)`
Receive first notification of an unknown predicate.

## Method Details

### method

void method(Set<org.springframework.http.HttpMethod> methods)
Receive notification of an HTTP method predicate.

Parameters:
  `methods` - the HTTP methods that make up the predicate
See Also:
  - `RequestPredicates.method(HttpMethod)`

### path

void path(String pattern)
Receive notification of a path predicate.

Parameters:
  `pattern` - the path pattern that makes up the predicate
See Also:
  - `RequestPredicates.path(String)`
  - `PathPattern`

### pathExtension

void pathExtension(String extension)
Receive notification of a path extension predicate.

Parameters:
  `extension` - the path extension that makes up the predicate
See Also:
  - `RequestPredicates.pathExtension(String)`

### header

void header(String name, String value)
Receive notification of an HTTP header predicate.

Parameters:
  `name` - the name of the HTTP header to check
  `value` - the desired value of the HTTP header
See Also:
  - `RequestPredicates.headers(Predicate)`
  - `RequestPredicates.contentType(MediaType...)`
  - `RequestPredicates.accept(MediaType...)`

### param

void param(String name, String value)
Receive notification of a parameter predicate.

Parameters:
  `name` - the name of the parameter
  `value` - the desired value of the parameter
See Also:
  - `RequestPredicates.param(String, String)`

### startAnd

void startAnd()
Receive first notification of a logical AND predicate. The first subsequent notification will contain the left-hand side of the AND-predicate; followed by `and()`, followed by the right-hand side, followed by `endAnd()`.

See Also:
  - `RequestPredicate.and(RequestPredicate)`

### and

void and()
Receive "middle" notification of a logical AND predicate. The following notification contains the right-hand side, followed by `endAnd()`.

See Also:
  - `RequestPredicate.and(RequestPredicate)`

### endAnd

void endAnd()
Receive last notification of a logical AND predicate.

See Also:
  - `RequestPredicate.and(RequestPredicate)`

### startOr

void startOr()
Receive first notification of a logical OR predicate. The first subsequent notification will contain the left-hand side of the OR-predicate; the second notification contains the right-hand side, followed by `endOr()`.

See Also:
  - `RequestPredicate.or(RequestPredicate)`

### or

void or()
Receive "middle" notification of a logical OR predicate. The following notification contains the right-hand side, followed by `endOr()`.

See Also:
  - `RequestPredicate.or(RequestPredicate)`

### endOr

void endOr()
Receive last notification of a logical OR predicate.

See Also:
  - `RequestPredicate.or(RequestPredicate)`

### startNegate

void startNegate()
Receive first notification of a negated predicate. The first subsequent notification will contain the negated predicated, followed by `endNegate()`.

See Also:
  - `RequestPredicate.negate()`

### endNegate

void endNegate()
Receive last notification of a negated predicate.

See Also:
  - `RequestPredicate.negate()`

### unknown

void unknown(RequestPredicate predicate)
Receive first notification of an unknown predicate.